Skip to content
Start here

List zone snippets

client.Snippets.List(ctx, params) (*V4PagePaginationArray[SnippetListResponse], error)
GET/zones/{zone_id}/snippets

Fetches all snippets belonging to the zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Snippets WriteSnippets Read
ParametersExpand Collapse
params SnippetListParams
ZoneID param.Field[string]

Path param: Use this field to specify the unique ID of the zone.

Page param.Field[int64]optional

Query param: Specifies the current page number.

minimum1
PerPage param.Field[int64]optional

Query param: Specifies how many results to return per page.

minimum1
ReturnsExpand Collapse
type SnippetListResponse struct{…}

Define a snippet.

CreatedOn Time

Indicates when the snippet was created.

formatdate-time
SnippetName string

Identify the snippet.

ModifiedOn Timeoptional

Indicates when the snippet was last modified.

formatdate-time

List zone snippets

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/snippets"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.Snippets.List(context.TODO(), snippets.SnippetListParams{
    ZoneID: cloudflare.F("9f1839b6152d298aca64c4e906b6d074"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": [
    {
      "created_on": "2000-01-01T00:00:00.000000Z",
      "snippet_name": "my_snippet",
      "modified_on": "2000-01-01T00:00:00.000000Z"
    }
  ],
  "success": true,
  "result_info": {
    "count": 25,
    "page": 1,
    "per_page": 25,
    "total_count": 100,
    "total_pages": 10
  }
}
Returns Examples
{
  "errors": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "messages": [
    {
      "message": "something bad happened",
      "code": 10000
    }
  ],
  "result": [
    {
      "created_on": "2000-01-01T00:00:00.000000Z",
      "snippet_name": "my_snippet",
      "modified_on": "2000-01-01T00:00:00.000000Z"
    }
  ],
  "success": true,
  "result_info": {
    "count": 25,
    "page": 1,
    "per_page": 25,
    "total_count": 100,
    "total_pages": 10
  }
}